﻿// See https://aka.ms/new-console-template for more information

using System.Linq.Expressions;
using Antlr4.Runtime;
using Antlr4.Runtime.Tree;
using waifu;

var input = File.ReadAllText("ex/f.wai");
/*
var input = @"() uwu
  51 + 32
  'there'
() uwu2
  'uwu'
  'owo'
##
Multiline comment
##
(x :#) par
  x

# Single line comment
(x :.) dec
  dec + 5.0


";
*/
var inputStream = CharStreams.fromString(input);
var lexer = new Waifu2Lexer(inputStream);
var tokens = new CommonTokenStream(lexer);
var parser = new Waifu2Parser(tokens);
parser.BuildParseTree = true;
var listener = new BaseErrorListener();

IParseTree tree = parser.waifuFile();

Console.WriteLine(tree.GetText());
